import { ProColumns } from "@ant-design/pro-components";
import { Badge, Switch } from "antd";

export const columns = (upDate: (id: any, enabled: boolean) => void): ProColumns<any>[] => {
    return [
        {
            title: "ID",
            dataIndex: 'id',
            hideInSearch: true,
            align: "center",
            key: "id",
        },
        {
            title: "账号昵称",
            dataIndex: 'nickname',
            key: "nickname",
            align: "center",
        },
        {
            title: "手机号",
            dataIndex: 'phoneNum',
            key: "phoneNum",
            align: "center",
        },
        {
            title: "备注",
            dataIndex: 'remark',
            key: "remark",
            hideInSearch: true,
            align: "center",
        },
        {
            title: '状态',
            dataIndex: 'enabled',
            key: 'enabled',
            align: 'center',
            ellipsis: true,
            hideInSearch: true,
            render: (a: any, b: any) => {
                return (
                    <Switch
                        checkedChildren="正常"
                        unCheckedChildren="停用"
                        checked={b?.enabled}
                        onChange={(enabled) => {
                            upDate(b?.id, enabled)
                        }}
                    />
                );
            },
        },
    ];
}