import { ProColumns } from "@ant-design/pro-components";
import { Typography } from 'antd';
const { Paragraph } = Typography;
export const columns = (appCategory: 1 | 2): ProColumns<any>[] => {
    return [
        {
            title: "链接名称",
            dataIndex: 'linkName',
            key: "linkName",
            align: "center",
        },
        {
            title: "书籍名称",
            dataIndex: 'bookName',
            key: "bookName",
            align: "center",
        },
        {
            title: "推广章节",
            dataIndex: 'bookChapterName',
            key: "bookChapterName",
            align: "center",
            hideInSearch: true,
            hideInTable: appCategory === 2
        },
        {
            title: "创建时间",
            dataIndex: 'createTime',
            key: "createTime",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "链接",
            dataIndex: 'pagePath',
            key: "pagePath",
            hideInSearch: true,
            align: "center",
            render: (_, row) => {
                return <Paragraph copyable>{row.pagePath}</Paragraph>
            }
        },

        // 搜索条件
        {
            title: "开始时间",
            dataIndex: 'startTime',
            valueType: 'date',
            hideInTable: true
        },
        {
            title: "结束时间",
            dataIndex: 'endTime',
            valueType: 'date',
            hideInTable: true
        },
    ];
}