import { BetaSchemaForm, ProFormInstance } from "@ant-design/pro-components"
import { Button } from "antd"
import { useEffect, useRef, useState } from "react";
import formConfig from "./formConfig";
import { useModel } from "@umijs/max";
import { getPromotionLink, getPromotionPage } from "@/services/miniApp/extend";
import { useAjax } from "@/Hook/useAjax";
import { copy } from "@/utils";
import { PlusCircleOutlined } from "@ant-design/icons";


function PageExtend(props: { reload?: () => void }) {
    let [open, setOpen] = useState<any>(false)
    let { initialState } = useModel('@@initialState')
    const formRef = useRef<ProFormInstance>();
    let GetPromotionPage = useAjax((params) => getPromotionPage(params))//页面列表
    let PromotionLink = useAjax((params) => getPromotionLink(params))//创建链接
    let publicData = {
        appId: initialState?.selectApp?.id,
        appType: initialState?.selectApp?.appType
    }
    const submit = async (values: any) => {
        let data = {
            appType: initialState?.selectApp?.appType,
            appId: initialState?.selectApp?.id,
            linkType: 2,
            ...values,
        }
        PromotionLink.run(data).then(res => {
            if (res.code === 200) {
                copy(res?.data?.data)
                props?.reload?.()
            }
        })
    }
    return <div>
        <Button
            type="primary"
            onClick={() => {
                setOpen(true)
                GetPromotionPage.run({ ...publicData, readingContent: false })
            }}
        >
            <PlusCircleOutlined />
            新建页面链接
        </Button>
        {/* 推广配置 */}
        <BetaSchemaForm<any>
            title={`页面推广配置`}
            formRef={formRef}
            open={open}
            onOpenChange={(b) => { !b && setOpen(b) }}
            layoutType={"ModalForm"}
            labelCol={{ span: 6 }}
            wrapperCol={{ span: 14 }}
            layout='horizontal'
            onFinish={submit}
            columns={formConfig({ pageList: GetPromotionPage?.data?.data })}
            loading={PromotionLink?.loading}
        />
    </div>
}

export default PageExtend